# ArcPy サイト パッケージのインポートとワークスペースを設定
import arcpy
arcpy.env.workspace = r"D:\Student\PYTS\Data\Geodatabase\ChibaCity.gdb"

# 空の Point オブジェクトと Array オブジェクトを作成
point = arcpy.Point()
array = arcpy.Array()

# 座標値のリストを作成
coordList = []

# Point オブジェクトに座標値を格納し、Array オブジェクトに追加
for coord in coordList:
    point.X = coord[0]
    point.Y = coord[1]
    array.add(point)

# 始点の座標値を再度追加
point.X = coordList[0][0]
point.Y = coordList[0][1]
array.add(point)

# Describe 関数を使用して、「Roads_Edge」フィーチャクラスと同じ座標系を取得
# Array オブジェクトと座標系を Polygon クラス　コンストラクターの引数に格納 Polygon
inputFc = "Roads_Edge"
desc = arcpy.Describe(inputFc)
newCoord = desc.spatialReference
clipPoly = arcpy.Polygon(array, newCoord)

# 作成した Polygon オブジェクトを使用して、[クリップ] ツールを実行します。
aprx = arcpy.mp.ArcGISProject(r"D:\Student\PYTS\Projects\Training\Training.aprx")
outGDB = aprx.defaultGeodatabase
outputFC = outGDB + r"\DowntownStreets"
arcpy.analysis.Clip(inputFc, clipPoly,outputFC )

print("スクリプトの実行が完了しました。")
